Package ru.bitel.bgbilling.modules.tv.server

# Class Module

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.server.WebMenuBase
bitel.billing.server.ModuleBase
ru.bitel.bgbilling.modules.tv.server.Module

All Implemented Interfaces:
  `bitel.billing.server.ApplicationModule`, `EventListener<ru.bitel.bgbilling.kernel.event.common.Event>`, `ru.bitel.bgbilling.server.WebMenu`

public class Module extends bitel.billing.server.ModuleBase implements bitel.billing.server.ApplicationModule, EventListener<ru.bitel.bgbilling.kernel.event.common.Event>

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `Module.Conf`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Module()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String[]`
  `getServerPackages()`
  `String`
  `getStatus(Connection con, int moduleId, int contractId)`
  `void`
  `lockService(Connection con, int moduleId, ru.bitel.bgbilling.kernel.contract.runtime.ContractRuntime contractRuntime, BigDecimal balance, BigDecimal limit, boolean lightweight)`
  `void`
  `lockServiceNow(Connection con, int moduleId, ru.bitel.bgbilling.kernel.contract.runtime.ContractRuntime contractRuntime, BigDecimal balance, BigDecimal limit, boolean lightweight)`
  `void`
  `moduleAction(ru.bitel.bgbilling.kernel.container.managed.ServerContext ctx, int moduleId, ru.bitel.bgbilling.kernel.event.common.Event e)`
  `void`
  `notify(ru.bitel.bgbilling.kernel.event.common.Event _e, EventListenerContext ctx)`
  `void`
  `serializeContract(Connection con, int cid, int mid, XMLStreamWriter tables, boolean onlyCurrent)`
  `void`
  `start(Connection con, BGModule module)`
  `void`
  `unlockService(Connection con, int moduleId, ru.bitel.bgbilling.kernel.contract.runtime.ContractRuntime contractRuntime, BigDecimal balance, BigDecimal limit, boolean lightweight)`
  `void`
  `unlockServiceNow(Connection con, int moduleId, ru.bitel.bgbilling.kernel.contract.runtime.ContractRuntime contractRuntime, BigDecimal balance, BigDecimal limit, boolean lightweight)`

  ### Methods inherited from class bitel.billing.server.ModuleBase

  `deleteContractServices, enableAutopayment, getAutopaymentMethods, getContractAutopaymentData, getDeployment, getObjectEntities, getPaymentMethods, getPaymentMethods, getPaymentMode, getWebMenuItems, removeAutopayment`

  ### Methods inherited from class ru.bitel.bgbilling.server.WebMenuBase

  `disableContractWebMenuItems, getContractWebMenuItems, getWebMenuItems`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface bitel.billing.server.ApplicationModule

  `getDeployment, getObjectEntities`

- ## Constructor Details

  - ### Module

    public Module()

- ## Method Details

  - ### getServerPackages

    public String[] getServerPackages()
    Specified by:
      `getServerPackages` in interface `bitel.billing.server.ApplicationModule`

  - ### start

    public void start(Connection con, BGModule module) throws ru.bitel.bgbilling.common.BGException
    Specified by:
      `start` in interface `bitel.billing.server.ApplicationModule`
    Overrides:
      `start` in class `bitel.billing.server.ModuleBase`
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### notify

    public void notify(ru.bitel.bgbilling.kernel.event.common.Event _e, EventListenerContext ctx) throws Exception
    Specified by:
      `notify` in interface `EventListener<ru.bitel.bgbilling.kernel.event.common.Event>`
    Throws:
      `Exception`

  - ### getStatus

    public String getStatus(Connection con, int moduleId, int contractId) throws ru.bitel.bgbilling.common.BGException
    Specified by:
      `getStatus` in interface `bitel.billing.server.ApplicationModule`
    Overrides:
      `getStatus` in class `bitel.billing.server.ModuleBase`
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### lockServiceNow

    public void lockServiceNow(Connection con, int moduleId, ru.bitel.bgbilling.kernel.contract.runtime.ContractRuntime contractRuntime, BigDecimal balance, BigDecimal limit, boolean lightweight) throws ru.bitel.bgbilling.common.BGException
    Specified by:
      `lockServiceNow` in interface `bitel.billing.server.ApplicationModule`
    Overrides:
      `lockServiceNow` in class `bitel.billing.server.ModuleBase`
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### lockService

    public void lockService(Connection con, int moduleId, ru.bitel.bgbilling.kernel.contract.runtime.ContractRuntime contractRuntime, BigDecimal balance, BigDecimal limit, boolean lightweight) throws ru.bitel.bgbilling.common.BGException
    Specified by:
      `lockService` in interface `bitel.billing.server.ApplicationModule`
    Overrides:
      `lockService` in class `bitel.billing.server.ModuleBase`
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### unlockServiceNow

    public void unlockServiceNow(Connection con, int moduleId, ru.bitel.bgbilling.kernel.contract.runtime.ContractRuntime contractRuntime, BigDecimal balance, BigDecimal limit, boolean lightweight) throws ru.bitel.bgbilling.common.BGException
    Specified by:
      `unlockServiceNow` in interface `bitel.billing.server.ApplicationModule`
    Overrides:
      `unlockServiceNow` in class `bitel.billing.server.ModuleBase`
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### unlockService

    public void unlockService(Connection con, int moduleId, ru.bitel.bgbilling.kernel.contract.runtime.ContractRuntime contractRuntime, BigDecimal balance, BigDecimal limit, boolean lightweight) throws ru.bitel.bgbilling.common.BGException
    Specified by:
      `unlockService` in interface `bitel.billing.server.ApplicationModule`
    Overrides:
      `unlockService` in class `bitel.billing.server.ModuleBase`
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### moduleAction

    public void moduleAction(ru.bitel.bgbilling.kernel.container.managed.ServerContext ctx, int moduleId, ru.bitel.bgbilling.kernel.event.common.Event e) throws Exception
    Specified by:
      `moduleAction` in interface `bitel.billing.server.ApplicationModule`
    Overrides:
      `moduleAction` in class `bitel.billing.server.ModuleBase`
    Throws:
      `Exception`

  - ### serializeContract

    public void serializeContract(Connection con, int cid, int mid, XMLStreamWriter tables, boolean onlyCurrent) throws SQLException, XMLStreamException
    Specified by:
      `serializeContract` in interface `bitel.billing.server.ApplicationModule`
    Overrides:
      `serializeContract` in class `bitel.billing.server.ModuleBase`
    Throws:
      `SQLException`
      `XMLStreamException`